Page MenuHomePhabricator

Webpack: Skins and Overlay management
Closed, ResolvedPublic3 Estimated Story Points

Description

Continue the migration of mobile.startup to webpack.

Acceptance criteria

  • Anchor built via webpack
  • Skin built via webpack and tested by node-qunit
  • OverlayManager built via webpack and tested by node-qunit
  • Overlay built via webpack and tested by node-qunit
  • LoadingOverlay built via webpack and tested by node-qunit
  • rlModuleLoader built via webpack and tested by node-qunit

Note: Adding additional test coverage is out of scope and will be added separately.
Note: If tests cannot be ported (similar to View.js) create tasks and leave them be. Only port the trivial tests.

Sign off steps

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2018, 11:16 PM
ovasileva triaged this task as High priority.Oct 2 2018, 4:21 PM
ovasileva set the point value for this task to 3.Oct 2 2018, 4:25 PM
Jdlrobson updated the task description. (Show Details)Oct 2 2018, 4:26 PM
Jdlrobson updated the task description. (Show Details)Oct 9 2018, 4:50 PM

Added Anchor.js. It has no tests. We can re-estimate if necessary but I don't think it should impact the estimation here.

Change 466666 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate Anchor.js to webpack

https://gerrit.wikimedia.org/r/466666

Change 466667 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate Skin.js to webpack

https://gerrit.wikimedia.org/r/466667

Change 466668 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate OverlayManager.js to webpack

https://gerrit.wikimedia.org/r/466668

Change 466669 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate Overlay.js to webpack

https://gerrit.wikimedia.org/r/466669

Change 466670 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate LoadingOverlay.js to webpack

https://gerrit.wikimedia.org/r/466670

Change 466671 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Migrate rlModuleLoader.js to webpack

https://gerrit.wikimedia.org/r/466671

Change 466666 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Migrate Anchor.js to webpack

https://gerrit.wikimedia.org/r/466666

Change 467747 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Add templateReader.js utility function

https://gerrit.wikimedia.org/r/467747

Change 467747 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add templateReader.js utility function

https://gerrit.wikimedia.org/r/467747

Change 466667 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Migrate Skin.js to webpack

https://gerrit.wikimedia.org/r/466667

Change 466668 merged by Jdlrobson:
[mediawiki/extensions/MobileFrontend@master] Migrate OverlayManager.js to webpack

https://gerrit.wikimedia.org/r/466668

nray added a comment.EditedOct 17 2018, 10:32 PM

Per the task's instructions to 'Only port the trivial tests', Overlay's test files are to be done in T207341 due to its dependence on mw.template.get

Change 466669 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Migrate Overlay.js to webpack

https://gerrit.wikimedia.org/r/466669

Change 466670 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Migrate LoadingOverlay.js to webpack

https://gerrit.wikimedia.org/r/466670

Change 466671 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Migrate rlModuleLoader.js to webpack

https://gerrit.wikimedia.org/r/466671

Change 468181 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Remove extraneous line in templateReader.js comment + add space

https://gerrit.wikimedia.org/r/468181

Change 468181 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove extraneous line in templateReader.js comment + add spaces

https://gerrit.wikimedia.org/r/468181

nray removed nray as the assignee of this task.Oct 18 2018, 12:08 AM
nray added a subscriber: nray.